VERSION 1.0 CLASS
BEGIN
  MultiUse = 0   'False
END
Attribute VB_Name = "ListAPIAddInClass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "Desaware ListAPI API Toolkit"
' Copyright © 1996-1997 by Desaware Inc.  All Rights Reserved
' Part of the Desaware API Toolkit

Option Explicit
Dim AddInItems As Object
Dim ListAPIMenu As Object

Sub ConnectAddIn(ByVal VBInst As Object)
  On Error GoTo error_handler

  Dim x As Long
  Dim AddInMenu As Object
  Screen.MousePointer = 11
  Set gobjVBInst = VBInst
  Set AddInMenu = gobjVBInst.AddInMenu
  Set AddInItems = AddInMenu.MenuItems
  Set ListAPIMenu = AddInItems.Add("Desaware &ListAPI API Toolkit...")

  x = ListAPIMenu.ConnectEvents(Me)
  Screen.MousePointer = 0
  Exit Sub
error_handler:
  MsgBox Error$
  Screen.MousePointer = 0
  Exit Sub

End Sub
Sub DisconnectAddIn(ByVal mode As Integer)
  AddInItems.Remove ListAPIMenu
'  End
End Sub


Sub AfterClick()
    On Error GoTo handler:
    Dim x As Object
    Screen.MousePointer = 11
    Set x = CreateObject("ListAPI.ListAPIClass")
    ' Got class
    x.ListAPIMakeAddin gobjVBInst
    Screen.MousePointer = 0
    Exit Sub
handler:
MsgBox Error$
Screen.MousePointer = 0
Exit Sub
End Sub



